import orderData from './mock-order-data'
import Order from 'types/Order'

// type Order {
//     sku: number
// }

export const allOrders = () => new Promise<Order[]>((res, rej) => {
    setTimeout(() => { res(orderData) }, 2000)
});

export const orderById = (id: number) => new Promise<Order>((res, rej) => {
        setTimeout(() => { res(orderData[id]) }, 2000)
})

// export const orderById = (idx: any) => {
//     return orderData[idx];
// }


export default {
    allOrders,
    orderById
}